PETSc version 3.15.5
Fix/Edit manual page

# DMDASetSizes

Sets the number of grid points in the three dimensional directions

### Synopsis

    #include "petscdmda.h"
    PetscErrorCode  DMDASetSizes(DM da, PetscInt M, PetscInt N, PetscInt P)

Logically Collective on da

### Input Parameters

| da | - the DMDA
| M | - the global X size
| N | - the global Y size
| P | - the global Z size

### Developer Notes

Since the dimension may not yet have been set the code cannot error check for non-positive Y and Z number of grid points

### See Also

PetscSplitOwnership()

### Level

intermediate

### Location

src/dm/impls/da/da.c

### Examples

src/dm/tutorials/ex19.c.html
Index of all DMDA routines
Table of Contents for all manual pages
Index of all manual pages